> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1role



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json get /api/v1/Role
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/Role:
    get:
      tags:
        - Role
      operationId: Role_GetRolesGET
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRolesResult'
components:
  schemas:
    GetRolesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Roles:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Role'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Role:
      type: object
      additionalProperties: false
      required:
        - Name
        - DisplayName
      properties:
        RoleId:
          type: string
          format: guid
        Name:
          type: string
          maxLength: 30
          minLength: 1
        DisplayName:
          type: string
          maxLength: 50
          minLength: 1
        BuildIn:
          type: boolean
        ExternalGroups:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ExternalUserGroup'
        Inherited:
          type: boolean
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    ExternalUserGroup:
      type: object
      additionalProperties: false
      required:
        - ExternalAuthenticationProviderId
        - ExternalId
        - Name
      properties:
        Id:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          minLength: 1
        ExternalId:
          type: string
          minLength: 1
        Name:
          type: string
          minLength: 1

````